HaruPage::setSize
HaruPage::setTextLeading
HaruPage
PHP Manual

# HaruPage::setSlideShow

Set transition style for the page

### Description

bool HaruPage::setSlideShow ( int `$type` , float `$disp_time` , float `$trans_time` )

Defines transition style for the page.

### Parameters

`type`

  Must be one of the following values:

  - `HaruPage::TS_WIPE_RIGHT`
  - `HaruPage::TS_WIPE_LEFT`
  - `HaruPage::TS_WIPE_UP`
  - `HaruPage::TS_WIPE_DOWN`
  - `HaruPage::TS_BARN_DOORS_HORIZONTAL_OUT`
  - `HaruPage::TS_BARN_DOORS_HORIZONTAL_IN`
  - `HaruPage::TS_BARN_DOORS_VERTICAL_OUT`
  - `HaruPage::TS_BARN_DOORS_VERTICAL_IN`
  - `HaruPage::TS_BOX_OUT`
  - `HaruPage::TS_BOX_IN`
  - `HaruPage::TS_BLINDS_HORIZONTAL`
  - `HaruPage::TS_BLINDS_VERTICAL`
  - `HaruPage::TS_DISSOLVE`
  - `HaruPage::TS_GLITTER_RIGHT`
  - `HaruPage::TS_GLITTER_DOWN`
  - `HaruPage::TS_GLITTER_TOP_LEFT_TO_BOTTOM_RIGHT`
  - `HaruPage::TS_REPLACE`
`disp_time`

  The display duration of the page in seconds.

`trans_time`

  The duration of the transition effect in seconds.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.